sladiv.f(3)

NAME
sladiv.f -

SYNOPSIS

  Functions/Subroutines

subroutine sladiv (A, B, C, D, P, Q)
SLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.
subroutine sladiv1 (A, B, C, D, P, Q)
real function sladiv2 (A, B, C, D, R, T)

Function/Subroutine Documentation

  subroutine sladiv (realA, realB, realC, realD, realP, realQ)

SLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.

Purpose:

     SLADIV performs complex division in  real arithmetic

                           a + i*b
                p + i*q = ---------
                           c + i*d

     The algorithm is due to Michael Baudin and Robert L. Smith
     and can be found in the paper
     "A Robust Complex Division in Scilab"

Parameters:
    A

              A is REAL

    B

              B is REAL

    C

              C is REAL

    D

              D is REAL
              The scalars a, b, c, and d in the above expression.

    P

              P is REAL

    Q

              Q is REAL
              The scalars p and q in the above expression.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    January 2013

Definition at line 92 of file sladiv.f.

  subroutine sladiv1 (realA, realB, realC, realD, realP, realQ)

Definition at line 178 of file sladiv.f.

  real function sladiv2 (realA, realB, realC, realD, realR, realT)

Definition at line 216 of file sladiv.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.